//
//  MPPowerFunction.m
//  MathKit
//
//  Created by Kim Wittenburg on 30.09.14.
//  Copyright (c) 2014 Kim Wittenburg. All rights reserved.
//

#import "MPPowerFunction.h"

#import "MPExpression.h"



@implementation MPPowerFunction

MPFunctionAccessorImplementation(ExponentExpression, _exponentExpression)


- (NSArray *)childrenAccessors
{
    return @[@"exponentExpression"];
}


- (NSString *)description
{
    return [NSString stringWithFormat:@"^%@", self.exponentExpression.description];
}

@end
